18125113 mysql Python module needs updates for MySQL 5.5 and 64-bit
authorJohn Beck <John.Beck@Oracle.COM>
Wed, 29 Jan 2014 13:44:48 -0800
changeset 1673 f4a923835a61
parent 1672 f8a020ae6d09
child 1674 2f4f37df32e3
18125113 mysql Python module needs updates for MySQL 5.5 and 64-bit
components/python/mysql/Makefile
components/python/mysql/mysql-PYVER.p5m
components/python/mysql/resolve.deps
components/rsyslog/patches/tcp-restart.patch
--- a/components/python/mysql/Makefile	Wed Jan 29 13:42:59 2014 -0800
+++ b/components/python/mysql/Makefile	Wed Jan 29 13:44:48 2014 -0800
@@ -20,12 +20,15 @@
 #
 
 #
-# Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
+# Copyright (c) 2013, 2014, Oracle and/or its affiliates. All rights reserved.
 #
 
 include ../../../make-rules/shared-macros.mk
 
-PATH=/usr/mysql/5.1/bin:/usr/bin:/usr/gnu/bin
+PATH_32=/usr/mysql/5.5/bin/$(MACH32):/usr/bin
+PATH_64=/usr/mysql/5.5/bin:/usr/bin
+COMPONENT_BUILD_ENV   += PATH=$(PATH_$(BITS))
+COMPONENT_INSTALL_ENV += PATH=$(PATH_$(BITS))
 
 COMPONENT_NAME=		MySQL-python
 COMPONENT_VERSION=	1.2.2
@@ -41,14 +44,26 @@
 include $(WS_TOP)/make-rules/setup.py.mk
 include $(WS_TOP)/make-rules/ips.mk
 
-CFLAGS +=	-L/usr/mysql/5.1/lib/mysql -R/usr/mysql/5.1/lib/mysql
+CFLAGS_32=	-L/usr/mysql/5.5/lib -R/usr/mysql/5.5/lib
+CFLAGS_64=	-L/usr/mysql/5.5/lib/$(MACH64) -R/usr/mysql/5.5/lib/$(MACH64)
+CFLAGS +=	$(CFLAGS_$(BITS))
+
+# Needed to get around a broken /usr/lib/python2.7/config/Makefile
+# See CR #16837431.
+LD=$(CC)
+LDSHARED=$(CC) -G
+PYTHON_ENV += CC="$(CC)"
+PYTHON_ENV += LDSHARED="$(LDSHARED)"
+PYTHON_ENV += LD="$(LD)"
+PYTHON_ENV += CFLAGS="$(CFLAGS)"
+COMPONENT_INSTALL_ENV += $(PYTHON_ENV)
 
 ASLR_MODE = $(ASLR_NOT_APPLICABLE)
 
 # common targets
-build:          $(BUILD_32)
+build:          $(BUILD_32_and_64)
 
-install:        $(INSTALL_32)
+install:        $(INSTALL_32_and_64)
 
 test:           $(NO_TESTS)
 
--- a/components/python/mysql/mysql-PYVER.p5m	Wed Jan 29 13:42:59 2014 -0800
+++ b/components/python/mysql/mysql-PYVER.p5m	Wed Jan 29 13:44:48 2014 -0800
@@ -27,22 +27,15 @@
     value=pkg:/library/python/python-mysql-$(PYV)@$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
 set name=pkg.summary \
     value="A MySQL database adapter for the Python programming language"
-set name=com.oracle.info.description value="the MySQL database adapter for Python"
+set name=com.oracle.info.description \
+    value="the MySQL database adapter for Python"
 set name=info.classification \
     value=org.opensolaris.category.2008:Development/Databases
 set name=info.source-url value=$(COMPONENT_ARCHIVE_URL)
 set name=info.upstream-url value=$(COMPONENT_PROJECT_URL)
 set name=org.opensolaris.arc-caseid value=PSARC/2008/081
 set name=org.opensolaris.consolidation value=$(CONSOLIDATION)
-
-# force a dependency on the Python runtime
-depend fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
-       pkg.debug.depend.path=usr/bin type=require
-
-# force a dependency on the python-mysql package
-depend fmri=library/python/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION) \
-    type=require
-
+file path=usr/lib/python$(PYVER)/vendor-packages/64/_mysql.so
 file path=usr/lib/python$(PYVER)/vendor-packages/MySQL_python-1.2.2-py$(PYVER).egg-info/PKG-INFO
 file path=usr/lib/python$(PYVER)/vendor-packages/MySQL_python-1.2.2-py$(PYVER).egg-info/SOURCES.txt
 file path=usr/lib/python$(PYVER)/vendor-packages/MySQL_python-1.2.2-py$(PYVER).egg-info/dependency_links.txt
@@ -67,8 +60,17 @@
 # python-mysql was previously in the 'desktop' consolidation. This optional
 # dependency is here to facilitate the safe transfer of the package
 # to the 'userland' consolidation.
-depend type=optional fmri=consolidation/desktop/[email protected]
+depend type=optional \
+    fmri=consolidation/desktop/[email protected]
 
 # force the rename with an optional dependency on the old name
 depend type=optional \
     fmri=library/python-2/python-mysql-$(PYV)@1.2.2,5.12-5.12.0.0.0.41.0
+
+# force a dependency on the Python runtime
+depend type=require fmri=__TBD pkg.debug.depend.file=python$(PYVER) \
+    pkg.debug.depend.path=usr/bin
+
+# force a dependency on the python-mysql package
+depend type=require \
+    fmri=library/python-2/[email protected]$(IPS_COMPONENT_VERSION),$(BUILD_VERSION)
--- a/components/python/mysql/resolve.deps	Wed Jan 29 13:42:59 2014 -0800
+++ b/components/python/mysql/resolve.deps	Wed Jan 29 13:44:48 2014 -0800
@@ -1,4 +1,4 @@
-database/mysql-51/library
+database/mysql-55/library
 library/zlib
 runtime/python-26
 runtime/python-27
--- a/components/rsyslog/patches/tcp-restart.patch	Wed Jan 29 13:42:59 2014 -0800
+++ b/components/rsyslog/patches/tcp-restart.patch	Wed Jan 29 13:44:48 2014 -0800
@@ -4,8 +4,8 @@
 # on the upstream patch, adapted for 6.2.0 .  This can go away once we
 # upgrade to 6.4.1 or later.
 --- rsyslog/runtime/netstrm.c.orig	2012-01-09 06:05:45.000000000 -0800
-+++ rsyslog/runtime/netstrm.c	2013-12-02 09:14:19.766000221 -0800
[email protected]@ -250,7 +250,7 @@
++++ rsyslog/runtime/netstrm.c	2014-01-29 10:16:47.131765870 -0800
[email protected]@ -250,11 +250,13 @@
  
  
  /* check connection - slim wrapper for NSD driver function */
@@ -13,7 +13,14 @@
 +static rsRetVal
  CheckConnection(netstrm_t *pThis)
  {
++	DEFiRet;
  	ISOBJ_TYPE_assert(pThis, netstrm);
+-	pThis->Drvr.CheckConnection(pThis->pDrvrData);
++	iRet = pThis->Drvr.CheckConnection(pThis->pDrvrData);
++	RETiRet;
+ }
+ 
+ 
 --- rsyslog/runtime/netstrm.h~	2011-12-01 02:26:19.000000000 -0800
 +++ rsyslog/runtime/netstrm.h	2013-12-02 09:30:45.155766988 -0800
 @@ -53,7 +53,7 @@